<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.hcrwb.mapper.HcrwbMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="hcrwbResultMap" type="org.springblade.modules.hcrwb.entity.HcrwbEntity">
        <result column="id" property="id"/>
        <result column="sid" property="sid"/>
        <result column="execution_unit" property="executionUnit"/>
        <result column="inspection_batch" property="inspectionBatch"/>
        <result column="inspection_deadline" property="inspectionDeadline"/>
        <result column="inspection_description" property="inspectionDescription"/>
        <result column="inspector" property="inspector"/>
        <result column="inspection_time" property="inspectionTime"/>
        <result column="inspection_method" property="inspectionMethod"/>
        <result column="inspection_status" property="inspectionStatus"/>
        <result column="inspection_result" property="inspectionResult"/>
        <result column="company_status" property="companyStatus"/>
        <result column="company_description" property="companyDescription"/>
        <result column="company_photo" property="companyPhoto"/>
        <result column="remark" property="remark"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectHcrwbPage" resultMap="hcrwbResultMap">
        select * from hcrwb where is_deleted = 0
    </select>


    <select id="exportHcrwb" resultType="org.springblade.modules.hcrwb.excel.HcrwbExcel">
        SELECT * FROM hcrwb ${ew.customSqlSegment}
    </select>

</mapper>
